# Uses of Class
org.snpsift.pedigree.Individual

Packages that use Individual
Package
Description
org.snpsift.pedigree

## Uses of Individual in org.snpsift.pedigree

Classes in org.snpsift.pedigree that implement interfaces with type arguments of type Individual
Modifier and Type
Class
Description
`class`
`Individual`
An individual in the pedigree Individuals are like TfamEntries but have drawing info (coordinates, color, etc.)
Methods in org.snpsift.pedigree that return Individual
Modifier and Type
Method
Description
`Individual`
PedigreeDraw.`get(String id)`
`Individual`
Individual.`getFather()`
`Individual`
Individual.`getMother()`
Methods in org.snpsift.pedigree that return types with arguments of type Individual
Modifier and Type
Method
Description
`List<Individual>`
PedigreeDraw.`findSpouses(Individual ind)`
`Collection<Individual>`
Individual.`getChilds()`
`ArrayList<Individual>`
Individual.`getChilds(Individual spouse)`
Get only childs from this spouse
`ArrayList<Individual>`
PedigreeDraw.`getIndividuals()`
Methods in org.snpsift.pedigree with parameters of type Individual
Modifier and Type
Method
Description
`protected void`
Individual.`addChild(Individual ind)`
`int`
Individual.`compareTo(Individual ind)`
`void`
PedigreeDraw.`female(Individual ind)`
`List<Individual>`
PedigreeDraw.`findSpouses(Individual ind)`
`ArrayList<Individual>`
Individual.`getChilds(Individual spouse)`
Get only childs from this spouse
`boolean`
Individual.`isDescendant(Individual ind)`
Is 'this' descendant from 'ind' (e.g.
`void`
PedigreeDraw.`line(Individual parent1, Individual parent2, Individual child)`
Line between Mother-Father and Child
`void`
PedigreeDraw.`male(Individual ind)`
`protected void`
Individual.`removeChild(Individual ind)`
`void`
Individual.`setFather(Individual father)`
`void`
Individual.`setMother(Individual mother)`
`void`
PedigreeDraw.`unknown(Individual ind)`
Method parameters in org.snpsift.pedigree with type arguments of type Individual
Modifier and Type
Method
Description
`protected void`
PedigreeDraw.`moveIfLeft(int posX, int deltaX, Set<Individual> except)`
Move if the object is located to the left of posX
`protected void`
PedigreeDraw.`moveIfRight(int posX, int deltaX, Set<Individual> except)`
Move if the object is located to the right of posX